Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 475471 - Review Request: poi - Java API to Access Microsoft Format Files
Summary: Review Request: poi - Java API to Access Microsoft Format Files
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-12-09 12:20 UTC by Sandro Mathys
Modified: 2009-03-13 14:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-13 14:54:53 UTC


Attachments (Terms of Use)

Description Sandro Mathys 2008-12-09 12:20:49 UTC
Spec URL: http://red.fedorapeople.org/SRPMS/poi.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/poi-3.2-0.1.fc10.src.rpm
Description: The POI project is the master project for developing pure Java ports of file formats based on Microsoft's OLE 2 Compound Document Format. OLE 2 Compound Document Format is used by Microsoft Office Documents, as well as by programs using MFC property sets to serialize their document objects.

rpmlint on spec, srpm and noarch-rpms finishes checking without any warnings or
errors.

I'd still need a sponsor.

Comment 1 Sandro Mathys 2008-12-12 01:04:47 UTC
mock-(re)build failed due to some junit problem. I'll need some time to look into this.

Comment 2 Mamoru TASAKA 2008-12-15 15:07:04 UTC
(Removing NEEDSPONSOR)

Comment 3 Sandro Mathys 2008-12-16 04:31:47 UTC
Spec URL: http://red.fedorapeople.org/SRPMS/poi.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/poi-3.2-1.fc10.src.rpm

New version including much of the experience I got when my jcalendar pkg was
reviewed.

Comment 4 Sandro Mathys 2008-12-18 22:02:55 UTC
Spec URL: http://red.fedorapeople.org/SRPMS/poi.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/poi-3.2-2.fc11.src.rpm

Rebuilt on rawhide. Now using build-jar-repository.

Comment 5 Mamoru TASAKA 2008-12-22 17:46:53 UTC
* License issue
  Almost all files are under ASL 2.0, however

  - The following file is under GPLv3
    src/resources/scratchpad/org/apache/poi/hdgf/chunks_parse_cmds.tbl
    Would you check how this file is used?

  - The following files have some questionable (?) license
    terms:
    src/documentation/content/xdocs/entity/*
    Would you check how these files are used?

* Preshipped binaries
  - The source zip file contains many preshipped binary files
    such as .xlsx files. Would you remove these files?

* koji build
  - By the way rebuild failed on dist-f11:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=1016360

Comment 6 Mamoru TASAKA 2009-01-17 16:59:55 UTC
Would you update the status of this bug?

Comment 7 Mamoru TASAKA 2009-01-30 15:09:31 UTC
ping again?

Comment 8 Mamoru TASAKA 2009-03-09 16:55:34 UTC
I will close this bug if no response is received from the reporter
within ONE WEEK.

Comment 9 Sandro Mathys 2009-03-13 07:44:03 UTC
I apologize, I'm really short in time lately and this will probably not change until the second half of the year. (new job, searching a flat, moving in, a.s.o.)

Therefore, there's no update to this bug, I'm sorry. I know, that it's not a big thing to check with upstream about the licenses and the preshipped binaries (or to answer to this bug earlier) - but unfortunately, several little things add up to a big (i.e. time-consuming) pretty fast.

Anyone's welcome to help here or take this over if they wish to.

Comment 10 Mamoru TASAKA 2009-03-13 14:54:53 UTC
Okay, thank you for the reply anyway.

Now I once close this bug so that someone else can pick
up this review request. If you have some time again to
work with this package, please feel free to open a new
review request for this package.


Note You need to log in before you can comment on or make changes to this bug.